/* Modal Style */
.w-100{
  width: 100%!important;
}
.modal {
  display: none; 
  position: fixed; 
  z-index: 1; 
  padding-top: 60px; 
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgb(0,0,0); 
  background-color: rgba(0,0,0,0.4); 
}

.modal-content {
  background-color: #fefefe;
  margin: 5% auto;
  padding: 20px;
  display: flex;
  border: 1px solid #888;
  width: 80%;
  flex-direction: row-reverse;
  justify-content: space-between;
  align-items: center;

}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}



/* Modal Style */

/* Icon List */

.icon-list {
  margin-top: 40px;
  display: flex;
  gap: 10px;
  padding: 10px;
  justify-content: flex-start;
}

.image-icon {
  border: none;
  background: none;
  cursor: pointer;
}

.image-icon img {
  width: 50px;
  height: 50px;
  object-fit: cover;
  border-radius: 50%;
  transition: transform 0.3s;
}

.image-icon:hover img {
  transform: scale(1.1);
}

textarea{
    resize: vertical;
}


/* Icon List */

/* Padding Options */

.padding-extra {

  padding: 60px 0px 0px 0px;
}

/* Padding Options */

/* Medidas Section */
.medidas-container {
  display: flex;
  flex-wrap: wrap;
  gap:5px
}

.medida-block {
  padding: 5px 15px 5px 15px;
  border-radius: 15px;
  border: 1px solid #000;
  background-color: #f0f0f0;
  transition: background-color 0.3s;
}

.medida-block.active {
  background-color: #003F8C;
  color: white;
  border: none;
}

.form_field-wrapper p {
  display: inline-block;
  margin-right: 10px;
  cursor: pointer;
}

.atributo{
  display: flex;
  flex-wrap: wrap;
  gap:5px
}

.atributo div {
  padding: 5px 15px 5px 15px;
  border-radius: 15px;
  border: 1px solid #000;
  background-color: #f0f0f0;
  transition: background-color 0.3s;
}

.selectable-item.selected {
  background-color: #003F8C;
  color: white;
  border: none;
}

.medida-fields {

  display: none;
}
.medida-fields .form_field-wrapper:first-child{
  margin-bottom: 20px;
}

.medida-fields .form_field-wrapper label {
  margin-bottom: 10px;
}
.medida-fields.active {
  display: block;
}

#summary-container {
  background-color: white;
  border-radius: 60px;
  margin-top: 20px;
  display: flex;
  justify-content: space-between;
  padding: 20px 40px;
  grid-gap: 10px;
}
#summary-container a{
    text-wrap: nowrap;
}

#details-container{
  padding-top: 20px;
  padding-bottom: 20px;
}
#summary-container button {
  
  padding: 10px;
  background-color: blue;
  color: white;
  border: none;
  cursor: pointer;
}

#product-summary {
  display: flex;
  gap: 10px;
  justify-content: space-between;
  flex-wrap: wrap;
  font-family: Gilroy, sans-serif;
}
#summary-container button:hover {
  background-color: darkblue;
}
.text-color-blue {
  font-family: Gilroy, sans-serif;
  }
/* Navbar */ 
.navbar-dark {
  background-color: #000!important; /* Cor escura */
  transition: background-color 0.3s ease;
}
.navbar19_link-small{
  text-align: left;
}
.navbar19_link-large.w--current {
  color: white;
}
.navbar19_menu:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background: #000;
    opacity: 0.6;
    z-index: 1;
    width: 100%;
    height: 100%;
}
.navbar19_menu-wrapper{
    z-index: 2;
    position: relative;
}

/* slide homepage*/
.text-tab-link{
  align-items: center;
}

.video-overlay-layer.overlay-frota{
    background-position: center;
    filter: brightness(0.6);
}
.navbar19_logo-link img{
    width: 150px;
}


h6{
  font-family: Gilroy, sans-serif;
  font-size: 22px;
  font-weight: 400;
}
.medida-block, .atributo div {
  font-family: Gilroy, sans-serif;
  font-size: 12px;
  display: flex;
  align-items: center;
  border-radius: 60px;
  cursor: pointer;
}


.button-text.is-mini{
  color: white;
  text-decoration: none;
}
.menu-icon4{
  flex-direction: row;
  font-size: 14px;
  color: white;
  gap: 15px;
  font-family: 'Gilroy', sans-serif;
  font-weight: 500;
  letter-spacing: 0.5px;
}
.layout410_card {
  height: 90vh;
  top: 5%;
}
.breadcrumb-produtos{
  color: white;
  text-decoration: none;
}
.breadcrumb-produtos:hover{
  text-decoration: underline;
}


/* hovers */
.button:hover, 
.button:hover .button > a, 
.button-4.is-secondary.is-alternate:hover, 
.button.is-mini:hover .button-text.is-mini{
  background: white;
  color: black;
  transition: 300ms;
  cursor: pointer
}
.button.is-blue.is-bigger:hover{
  background-color: #003F8C;
  transition: 300ms;
}
.button.is-blue.is-bigger:hover .button-text.is-blue{
  color: white !important;
}
.button.is-blue.is-bigger:hover a{
  color: white;
}
.button.is-link:hover{
  background-color: unset;
  font-weight: 600;
  transition: 300ms;
}
.header103_tab-link2:hover{
  background-color: #003F8C;
  transition: 300ms;
}
.navbar19_link-small:hover, .navbar19_link-large:hover{
  text-decoration: underline;
  transition: 300ms;
}
.button-text.is-blue.is-bigger{
  text-decoration: unset;
}
.text-style-link:hover{
  font-weight: 500;
  transition: 300ms;
}
.footer2_link:hover{
  text-decoration: underline;
}
.footer2_social-link:hover{
  opacity: 0.7;
}
.button.is-secondary.is-small.text-color-white:hover{
  color: black
}

/* swiper arrows*/
.swiper-button-next, .swiper-button-prev {
  color: white !important;
  background-color: #003F8C !important;
  padding: 30px;
  border-radius: 30px;
}
.swiper-button-next::after, .swiper-button-prev::after {
  font-size: 18px !important;
}
.swiper-button-next, .swiper-rtl .swiper-button-prev{
  right: var(--swiper-navigation-sides-offset,40px) !important;
  left: auto;
}
.swiper-button-prev, .swiper-rtl .swiper-button-next{
  left: var(--swiper-navigation-sides-offset,40px) !important;
  right: auto;
}

/* Politica */
.padding-section-xlarge {
  padding-top: 10rem;
  padding-bottom: 10rem;
}

.padding-section-xlarge.padding-bottom-0 {
  padding-bottom: 0;
}

.padding-section-xlarge.padding-bottom-2 {
  padding-bottom: 2rem;
}

footer .text-color-white a{
    color: #fff;
}

.prod-btn{
    border: 1px solid #003f8c;
    color: #003f8c;
    width: fit-content;
    padding: 1rem 2rem;
    font-family: 'Gilroy';
    line-height: 1;
}
.prod-btn:hover{
    background: #003f8c;
    color: #fff;
}

#Contact-7-Checkbox .form_checkbox-icon{
    border-radius: 50%;
    border-color: #003f8c;
}
#Contact-7-Checkbox .form_checkbox-icon.w--redirected-checked{
    background-color: #003f8c;
    border-color: #003f8c;
    
}

/*Indicador de Scroll*/
.scroll-indicator{
    position: relative;
    width: 1px;
    height: 50px;
    background-color: rgba(255, 255, 255, .5);
    margin-right: 15px;
    overflow: hidden;
}
.scroll-indicator span{
    position: absolute;
    top: 0;
    left: 0;
    background-color: #fff;
    width: 100%;
    height: 100%;
    transform: translateY(-100%);
    -webkit-transform: translateY(-100%);
    -webkit-animation: scrollIndicator 2s infinite ease-in-out;
    animation: scrollIndicator 2s infinite ease-in-out;
}

@keyframes scrollIndicator{
    0%{
        transform: translateY(-100%);
    }
    50%{
        transform: translateY(0);
    }
    100%{
        transform: translateY(100%);
    }
}


/* Politica */
@media screen and(max-width: 991px) {
  .navbar-dark {
    background-color: #ffffff!important; /* Cor escura */
    transition: background-color 0.3s ease;
  }
    .navbar19_logo-link img{
        width: 125px;
    }
}


/* Estilo para a tabela */

.container-medidas{
    display: flex;
    max-width: 1024px;
    flex-direction: column;
    align-items: flex-end;
}
.tabelaMedidas {
    width:100%;
    max-width: 1024px;
    border-collapse: collapse;
    margin: 20px 0;
    font-family: Arial, sans-serif;
    overflow-x: auto;
    position: relative;
    padding-bottom: 10px; /* Espaço extra para evitar sobreposição da barra */
    scrollbar-width: thin; /* Barra de rolagem fina no Firefox */
    scrollbar-color: #003f8c #f0f0f0; /* Cores da barra no Firefox */
}

/* Estilos para a barra de rolagem no Chrome, Edge e Safari */
.tabelaMedidas::-webkit-scrollbar {
    height: 8px; /* Altura da barra de rolagem */
}

.tabelaMedidas::-webkit-scrollbar-thumb {
    background-color: #003f8c; /* Cor da barra de rolagem */
    border-radius: 4px; /* Bordas arredondadas para uma aparência moderna */
}

.tabelaMedidas::-webkit-scrollbar-track {
    background: #f0f0f0; /* Cor do fundo da barra de rolagem */
}

/* Fixar a primeira coluna */
.tabelaMedidas table {
    width: 100%;
    border-collapse: collapse;
}

.tabelaMedidas thead tr th:first-child,
.tabelaMedidas tbody tr td:first-child {
    position: sticky;
    left: 0;
    background-color: #afafaf; /* Ajuste a cor de fundo se necessário */
    z-index: 1; /* Garantir que a coluna fixa fique acima das outras */
}

/* Estilo para os cabeçalhos da tabela */
.tabelaMedidas th {
    background-color: #003f8c; /* Azul para o cabeçalho */
    color: white; /* Texto branco */
    padding: 10px 15px;
    text-align: center;
    
    font-size: 16px;
}

/* Estilo para as células da tabela */
.tabelaMedidas td {
    padding: 10px 15px;
    border: 1px solid #ddd;
}

/* Alternância de cores para as linhas da tabela */
.tabelaMedidas tr:nth-child(even) {
    background-color: #f9f9f9;
}

/* Efeito de hover para as linhas da tabela */
.tabelaMedidas tr:hover {
    background-color: #f1f1f1;
}

/* Estilo para a paginação */
.paginacao {
    text-align: center;
    margin-top: 20px;
}

.paginacao a {
    padding: 10px 15px;
    margin: 0 5px;
    background-color: #007bff;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
}

.paginacao a:hover {
    background-color: #0056b3;
}

.paginacao .ativo {
    background-color: #0056b3;
    color: white;
}
